import sentry_sdk
from sentry_sdk.integrations.flask import FlaskIntegration
from flask import Flask
import os
from redisclient import redis_client
from endpoints import IPEndpoint

"""
Main Flask RESTful API
"""

__author__ = "@tormakris"
__copyright__ = "Copyright 2020, GoldenPogácsa Team"
__module_name__ = "app"
__version__text__ = "1"

sentry_sdk.init(
    dsn="https://f0eed44d403045468aad035e93986f62@sentry.kmlabz.com/14",
    integrations=[FlaskIntegration()]
)

app = Flask(__name__)
app.config['REDIS_URL'] = os.environ['REDIS_URL']

redis_client.init_app(app)

for view in [IPEndpoint]:
    view.register(app, trailing_slash=False)

if __name__ == "__main__":
    app.run(debug=True)
